/* Phone Registration - Site overrides */
body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif;
}

a {
    color: #0066cc;
}

.validation-summary-valid {
    display: none;
}


/**************************/
/* TRANSMISSION OVERRIDES */
/**************************/

:root {
    --theme-button-primary-text-rest: var(--tm-color-neutral-white);
    --theme-button-primary-text-hover: var(--tm-color-neutral-white);
    --theme-button-primary-text-active: var(--tm-color-neutral-white);
    --theme-button-primary-text-disabled: var(--tm-color-neutral-white);
    --theme-button-primary-bg-rest: var(--tm-color-neutral-black);
    --theme-button-primary-bg-hover: rgb(61, 61, 61);
    --theme-button-primary-bg-active: rgb(112, 112, 112);
    --theme-button-primary-bg-disabled: rgb(213, 213, 213);

    --theme-checkbox-bg: #524FF8;
    --theme-checkbox-outline: #524FF8;
}

/* Panel */
.tm-panel-content {
    display: block !important;
}

/* Button */
.tm-button {
    border-radius: .25em;
    font-family: inherit;
}

/* Input */
.tm-input {
    background: none;
    border-radius: .25em;
    box-shadow: inset 0 0 0 1px var(--t-color-border-primary);

    &:active,
    &:focus,
    &:hover {
        box-shadow: inset 0 0 0 1px rgb(82, 79, 248);
        outline: 3px solid rgb(82 79 248 / 20%);
    }
}

.tm-input.is-invalid,
.tm-input.input-validation-error {
    box-shadow: inset 0 0 0 1px var(--tm-color-utility-negative);
    outline: 3px solid rgba(255, 130, 119, 0.4);
}

.tm-input[readonly] {
    background: rgb(245, 245, 245);
    box-shadow: inset 0 0 0 1px var(--t-color-border-primary);
    color: var(--theme-input-text-color-rest);

    &:active,
    &:focus,
    &:hover {
        box-shadow: inset 0 0 0 1px rgb(82, 79, 248);
        color: var(--theme-input-text-color-rest);
        outline: 3px solid rgb(82 79 248 / 20%);
    }
}

.tm-input:disabled {
    box-shadow: inset 0 0 0 1px rgb(224, 224, 224);
    color: rgb(224, 224, 224);

    &:active,
    &:focus,
    &:hover {
        box-shadow: inset 0 0 0 1px rgb(224, 224, 224);
        outline: none;
    }
}

textarea.tm-input {
    line-height: 1.25;
}
